Subject: Re: [PATCH v3] docs: bug-bisect: add a note about bisecting -next

From: Bagas Sanjaya <[email-masked]>
Date: Wed, 6 Nov 2024 17:15:20 +0700

On Wed, Nov 06, 2024 at 06:26:49AM +0100, Thorsten Leemhuis wrote:
> On 06.11.24 02:04, Bagas Sanjaya wrote:
> > On Tue, Nov 05, 2024 at 01:11:08PM +0100, Thorsten Leemhuis wrote:
> >> +Bisecting linux-next
> >> +--------------------
> >> +
> >> +If you face a problem only happening in linux-next, bisect between the
> >> +linux-next branches 'stable' and 'master'. The following commands will start
> >> +the process for a linux-next tree you added as a remote called 'next'::
> >> +
> > 
> > Has linux-next tree remote addition be covered before?
> 
> No. That document where this is added does not explain at all how to
> clone a git repo or add remotes, it just focuses on the bisection. So I
> don't think we need to explain this here.

OK.

> 
> Documentation/admin-guide/verify-bugs-and-bisect-regressions.rst handles
> such things, as it has a different target audience. Should it cover
> -next as well? Not sure. I for now decided to focus on this addition.

I think for those who want to test linux-next, they can simply follow [1].
Maybe we can add a pointer to it.

Thanks.

[1]: https://www.kernel.org/doc/man-pages/linux-next.html

-- 
An old man doll... just what I always wanted! - Clara